coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupons2609170000

[Instant Discount Coupon] Query a list of coupons (status)

# 01

Summary

[Instant Discount Coupon] Query a list of coupons (status)

# 02

Details

Available buyer market: Korea

This API queries issued coupons by status.

Path

GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupons

Example endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupons?status=APPLIED&page=1&size=10&sort=desc
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
# 04

Query parameters

NameTypeDescription
status*string
Coupon status (STANDBY, APPLIED, PAUSED, EXPIRED, DETACHED)
pagenumber
Page: 1 by default
Key value to call the next page; enter nothing or '1' to call the 1st page
sizenumber

of results per page

sortstring
Sorting (asc, desc)
Ascending by default
# 05

Response body

Response message

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
httpStatusinteger
HTTP Status Code (same as the server response code)
httpStatusMessagestring
HTTP Status Message (same as the server response message)
errorMessagestring
Detailed reason for error other than HTTP Status 200
dataobject
Coupon list data
success
data.success
boolean
Success or failure
true or false
content
data.content
object[]
Coupon list
contractId
data.content[].contractId
integer
Contract ID
vendorContractId
data.content[].vendorContractId
number
Vendor's contract code (Coupang management code)
ex) -1, 1, 2
couponId
data.content[].couponId
integer
Coupon ID
discount
data.content[].discount
integer
Discount rate
endAt
data.content[].endAt
string
Effective end date/time
ex) 2017-09-01 00:00:00
maxDiscountPrice
data.content[].maxDiscountPrice
integer
Max. discount amount
ex) 1000, 10000
promotionName
data.content[].promotionName
string
Promotion name
ex) Dress discount coupon for the 2nd wk of Jan
startAt
data.content[].startAt
string
Effective start date/time
ex) 2017-08-04 01:00:00
status
data.content[].status
string
Coupon status
Code Description
STANDBY Standing by
APPLIED In use
PAUSED Issuance paused
EXPIRED Expired
DETACHED Item removed
type
data.content[].type
string
Discount type
ex) RATE (fixed-rate discount), FIXED_WITH_QUANTITY (fixed-amount discount per quantity) and PRICE (fixed-amount discount)
wowExclusive
data.content[].wowExclusive
string
Issuance target

false (all: Default)
true (Rocket Wow members)
Pagination
data.Pagination
object[]
Paging
countPerPage
data.Pagination[].countPerPage
number
Data count per page
ex) 10, 20, 30
currentPage
data.Pagination[].currentPage
number
Current page
ex) 1
totalPages
data.Pagination[].totalPages
number
Total page count
ex) 1000
totalElements
data.Pagination[].totalElements
number
Total data Count
ex) 1000

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2246326,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 40000,
        "discount": 30,
        "startAt": "2018-04-03 15:00:00",
        "endAt": "2018-04-05 23:59:00",
        "wowExclusive": "false"
      },
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2245939,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 30000,
        "discount": 20,
        "startAt": "2018-04-02 18:37:00",
        "endAt": "2018-04-05 23:59:00",
        "wowExclusive": "false"
      },
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2121942,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 10000,
        "discount": 5,
        "startAt": "2018-03-30 00:01:00",
        "endAt": "2018-04-06 23:59:00",
        "wowExclusive": "false"
      }
    ],
    "pagination": {
      "currentPage": 1,
      "countPerPage": 10,
      "totalPages": 1,
      "totalElements": 3
    }
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request parameter)

Check access to the vendor info.

Check if the seller ID (vendorId) is correct.

400400 (check request parameter)

Page index must not be less than zero!

Check if the page value is correct.